%define version 2003.1126
%define release 1mdk

Summary:	Time modules for perl
Name:		perl-Time-modules
Version:	%{version}
Release:	%{release}
License:	distributable
Group:		Development/Perl
Source:		Time-modules-%{version}.tar.bz2
URL:		http://www.cpan.org/modules/by-module/Time/
Requires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl-devel >= 5.8.0
BuildArch:	noarch

%description
This package contains the following perl5 modules:

        Time::CTime.pm
                ctime, strftime, and asctime
        Time::JulianDay.pm
                Julian Day conversions
        Time::ParseDate.pm
                Reverses strftime and also understands relative times
        Time::Timezone.pm
        Time::DaysInMonth.pm

%prep
%setup -q -n Time-modules-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST CHANGELOG
%{_mandir}/*/*
%{perl_vendorlib}/Time/*

%changelog
* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 2003.1126-1mdk
- New release 2003.1126

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2003.0211-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 2003.0211-1mdk
- 2003.0211.

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 2002.1001-2mdk
- rebuild

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 2002.1001-1mdk
- 2002.1001.

* Sat Jul 20 2002 Pixel <pixel@mandrakesoft.com> 101.062101-2mdk
- rebuild for new perl
- cleanup

* Tue Jun 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 101.062101-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 101.062101-1mdk
